> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gumloop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get evaluation options

> Allowed values for evaluation fields and filters — session types, criterion types and priorities, data point types, frequencies, grades, statuses, target types, skip reasons — plus size limits. Use these instead of hardcoding enums.



## OpenAPI

````yaml get /evaluation-options
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.gumloop.com/api/v1
security: []
paths:
  /evaluation-options:
    get:
      tags:
        - Organization Evaluations
      summary: Get evaluation options
      description: >-
        Allowed values for evaluation fields and filters — session types,
        criterion types and priorities, data point types, frequencies, grades,
        statuses, target types, skip reasons — plus size limits. Use these
        instead of hardcoding enums.
      operationId: getEvaluationOptions
      responses:
        '200':
          description: Option lists and limits.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                scopes:
                  - organization
                target_types:
                  - organization
                  - team
                  - user
                  - agent
                session_types:
                  - chat
                  - general_agent
                  - slack
                  - slack_custom_app
                  - teams
                  - email
                  - operator
                  - subagent
                  - triggered
                  - api
                  - self_improvement
                  - reflect
                  - brain_source_creation
                  - personalization
                default_session_types:
                  - chat
                  - general_agent
                  - slack
                  - slack_custom_app
                  - teams
                criterion_types:
                  - prohibited_action
                  - prohibited_words
                  - voice_tone
                  - other
                criterion_priorities:
                  - needs_review
                  - needs_attention
                data_point_types:
                  - string
                  - boolean
                  - integer
                  - number
                frequencies:
                  - debounced
                  - per_turn
                  - manual
                grades:
                  - pass
                  - needs_review
                  - needs_attention
                statuses:
                  - queued
                  - in_progress
                  - completed
                  - failed
                skip_reasons:
                  - ineligible
                  - in_flight
                limits:
                  criteria: 30
                  tags: 50
                  data_points: 40
                  tag_name_max_len: 100
                  tag_description_max_len: 500
                  notification_recipients: 50
                  run_session_ids: 200
                  metrics_days: 365
        '401':
          description: Unauthorized — missing or invalid credentials.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl 'https://api.gumloop.com/api/v1/evaluation-options' \
              -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
        - lang: python
          label: Python
          source: |
            from gumloop import Gumloop

            client = Gumloop(access_token="YOUR_ACCESS_TOKEN")

            options = client.evaluations.options()
            print(options.grades, options.limits["run_session_ids"])
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A personal API key or an [OAuth 2.0](/api-reference/oauth) access token.
        Personal API keys also require the `x-auth-key` header with your user
        ID.

````